Summary: A utility to collect various Linux performance data
Name: collectl
Version: 4.3.5
Release:    1%{?dist}
License: GPLv2+ or Artistic
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Source1: %{name}.service
Source2: %{name}.sysconfig
URL: http://collectl.sourceforge.net
BuildArch: noarch
BuildRequires: perl-generators
BuildRequires: systemd
Requires: perl(Sys::Syslog), perl(Time::HiRes), perl(Compress::Zlib)
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
A utility to collect Linux performance data


%prep
%setup -q -n %{name}

mv docs html


%build


%install
mkdir -p        %{buildroot}%{_unitdir} \
                %{buildroot}%{_sysconfdir} \
                %{buildroot}%{_sysconfdir}/sysconfig \
                %{buildroot}%{_bindir} \
                %{buildroot}%{_datadir}/%{name}/utils \
                %{buildroot}%{_mandir}/man1/ \
                %{buildroot}%{_localstatedir}/log/%{name}

install -p -m 755  collectl          %{buildroot}%{_bindir}/
install -p -m 755  colmux            %{buildroot}%{_bindir}/
install -p -m 644  *.ph              %{buildroot}%{_datadir}/%{name}
install -p -m 644  envrules.std      %{buildroot}%{_datadir}/%{name}
install -p -m 755  client.pl         %{buildroot}%{_datadir}/%{name}/utils
install -p -m 644  man1/*.1          %{buildroot}%{_mandir}/man1
install -p -m 644  collectl.conf     %{buildroot}%{_sysconfdir}
install -p -m 644  %{SOURCE1}        %{buildroot}%{_unitdir}
install -p -m 644  %{SOURCE2}        %{buildroot}%{_sysconfdir}/sysconfig/%{name}


%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service 


%files
%doc ARTISTIC COPYING GPL RELEASE-collectl html
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_bindir}/colmux
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/colmux.1*
%{_localstatedir}/log/%{name}/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.5-1
- initial build
